mediawiki/extensions/BlueSpiceExtensions (master)

sourcepatches
From 969cbbf86c732be0ad248ff2bafd41dfec754418 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Sat, 27 Feb 2021 22:01:59 +0000
Subject: [PATCH] build: Updating mediawiki/minus-x to 1.1.1

Change-Id: Iccea03a4528636d2024733a421c46c7f1649738b
---
 composer.json | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/composer.json b/composer.json
index 976818f..afc4197 100644
--- a/composer.json
+++ b/composer.json
@@ -26,7 +26,7 @@
 		"wiki": "https://help.bluespice.com"
 	},
 	"require-dev": {
-		"mediawiki/minus-x": "1.1.0",
+		"mediawiki/minus-x": "1.1.1",
 		"php-parallel-lint/php-console-highlighter": "0.5.0",
 		"php-parallel-lint/php-parallel-lint": "1.2.0"
 	},
-- 
2.20.1

$ date
Sat Feb 27 22:01:49 UTC 2021

$ git clone file:///srv/git/mediawiki-extensions-BlueSpiceExtensions.git repo --depth=1 -b master
Cloning into 'repo'...

$ git config user.name libraryupgrader

$ git config user.email tools.libraryupgrader@tools.wmflabs.org

$ git submodule update --init

$ grr init
Installed commit-msg hook.

$ git show-ref refs/heads/master
2e99581feff7fceccf2eba403eb8408602c927f9 refs/heads/master

$ composer install
Loading composer repositories with package information
Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2 is now available and you should upgrade. See https://getcomposer.org/2
Updating dependencies (including require-dev)
Package operations: 15 installs, 0 updates, 0 removals
  - Installing composer/installers (v1.10.0): Loading from cache
  - Installing symfony/polyfill-php80 (v1.22.1): Loading from cache
  - Installing symfony/polyfill-mbstring (v1.22.1): Loading from cache
  - Installing symfony/polyfill-intl-normalizer (v1.22.1): Loading from cache
  - Installing symfony/polyfill-intl-grapheme (v1.22.1): Loading from cache
  - Installing symfony/polyfill-ctype (v1.22.1): Loading from cache
  - Installing symfony/string (v5.2.3): Loading from cache
  - Installing psr/container (1.0.0): Loading from cache
  - Installing symfony/service-contracts (v2.2.0): Loading from cache
  - Installing symfony/polyfill-php73 (v1.22.1): Loading from cache
  - Installing symfony/console (v5.2.3): Loading from cache
  - Installing mediawiki/minus-x (1.1.0): Loading from cache
  - Installing php-parallel-lint/php-console-color (v0.3): Loading from cache
  - Installing php-parallel-lint/php-console-highlighter (v0.5): Loading from cache
  - Installing php-parallel-lint/php-parallel-lint (v1.2.0): Loading from cache
symfony/service-contracts suggests installing symfony/service-implementation
symfony/console suggests installing symfony/event-dispatcher
symfony/console suggests installing symfony/lock
symfony/console suggests installing symfony/process
symfony/console suggests installing psr/log (For using the console logger)
Writing lock file
Generating autoload files
10 packages you are using are looking for funding.
Use the `composer fund` command to find out more!

Upgrading c:mediawiki/minus-x from 1.1.0 -> 1.1.1
$ composer update
Loading composer repositories with package information
Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2 is now available and you should upgrade. See https://getcomposer.org/2
Updating dependencies (including require-dev)
Package operations: 0 installs, 1 update, 0 removals
  - Updating mediawiki/minus-x (1.1.0 => 1.1.1): Loading from cache
Writing lock file
Generating autoload files
10 packages you are using are looking for funding.
Use the `composer fund` command to find out more!

$ composer install
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Nothing to install or update
Generating autoload files
10 packages you are using are looking for funding.
Use the `composer fund` command to find out more!

$ composer test
> parallel-lint . --exclude vendor --exclude node_modules
PHP 7.3.19 | 10 parallel jobs
.                                                            1/1 (100 %)


Checked 1 files in 0 seconds
No syntax error found
> minus-x check .
MinusX
======
Processing /src/repo...
............
All good!

$ git add .

$ git commit -F /tmp/tmpqpqlv6vo
[master 969cbbf] build: Updating mediawiki/minus-x to 1.1.1
 1 file changed, 1 insertion(+), 1 deletion(-)

$ git format-patch HEAD~1 --stdout
From 969cbbf86c732be0ad248ff2bafd41dfec754418 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Sat, 27 Feb 2021 22:01:59 +0000
Subject: [PATCH] build: Updating mediawiki/minus-x to 1.1.1

Change-Id: Iccea03a4528636d2024733a421c46c7f1649738b
---
 composer.json | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/composer.json b/composer.json
index 976818f..afc4197 100644
--- a/composer.json
+++ b/composer.json
@@ -26,7 +26,7 @@
 		"wiki": "https://help.bluespice.com"
 	},
 	"require-dev": {
-		"mediawiki/minus-x": "1.1.0",
+		"mediawiki/minus-x": "1.1.1",
 		"php-parallel-lint/php-console-highlighter": "0.5.0",
 		"php-parallel-lint/php-parallel-lint": "1.2.0"
 	},
-- 
2.20.1

composer dependencies

Dependencies
Development dependencies

npm dependencies

Development dependencies

Logs

Source code is licensed under the AGPL.